# Account Binding

This is one of the services from the registration module used to pre-processing Finnet account binding. You can link the account using this service.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 07
```

| Environment | Method | URL                                                               |
| ----------- | ------ | ----------------------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/registration-account-binding> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/registration-account-binding>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name        | Type   | Mandatory | Min Length | Max Length | Description                                     |
| -- | ----------- | ------ | --------- | ---------- | ---------- | ----------------------------------------------- |
| 1  | merchantId  | String | M         | 1          | 64         | Identifier provided at the time of linking      |
| 2  | referenceNo | String | O         | 1          | 64         | Reference number used for unbinding second call |
| 3  | phoneNo     | String | M         | 1          | 16         | Registered customer phone number.               |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "merchantId":"F7778YIF6A3TC",
  "refrenceNo": "9277141702082429358",
  "phoneNo": "084774859277"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                              | Mandatory | Min Length | Max Length | Description                                   |
| -- | --------------- | ----------------------------------------------------------------- | --------- | ---------- | ---------- | --------------------------------------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | BI SNAP Response Code.                        |
| 2  | responseMessage | String                                                            | M         | 1          | 150        | BI SNAP Response Message.                     |
| 3  | redirectUrl     | String                                                            | O         | 1          | 2048       | Redirect URL for binding actions.             |
| 4  | linkageToken    | String                                                            | O         | 1          | 204        | Access token used for WebView linkage access. |
| 5  | params          | [Object](/api-reference/appendix/json-object/params-object.md)    | O         | 1          | 2          | Query parameters for the redirectUrl          |
| 6  | linkId          | String                                                            | O         | 1          | 24         | Identifier provided at the time of linking.   |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000700",
  "responseMessage": "Request has been processed successfully",
  "redirectUrl":
  "https://webview.finnet.co.id/partner/binding/pin-verification",
  "linkageToken":
  "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE2NjY2MDkzOTEsIm5iZiI6MTY2N
  jYwOTM5MSwiZXhwIjoxNjY2NjA5NjkxLCJqdGkiOiIwRFB3QXVZS2hsbUFwQ21TcnpqTHpNNnci
  LCJzdWIiOiIrNjI4MTk3NzgxNzkwMiIsImF1ZCI6IjE0MCJ9.DPhwfODNs7Vh7p8xnOm4XYbANG
  _Ek3C23smXOr9A4X-V6tP-sVtdWKt6PQJ5mqmS7fGJZYc3cIWABMNyEgJJEyvl8LmD7zPtFG2Y2
  MRUn9HndvQdFBXuX9NRuN5BYJ4MlhvvIwc5Sg69S62OFJctaWAcadCimTJmH0XsTeXoRjNJj8jo
  0VVTyVjtLvWyZlQEoCXAT35KT_68i8D8sFhF7p6UkPafGWs1j3Pba89mxiWcEFBdXtzx2gbK0eq
  uPratuiS-Von1KoQsv7YVXJHMLmU7fz36noUeDuEWqjQWvtAYLKqhqNquYqmIxFquF5OwX88gHn
  a1Vwy-wKAOM3HWGXvYKmPFY5qgHe16-gEu9a62VCjLgS_nRggg_9rAsG8pLUGpbE7fC2jGQ9fv0
  6mczR4TsBdEDlTxLGRhAfpSvViEKXdfrcYm-TzbwhkzuKt8JWC_dc5avdLLmUwVeQxePwEG7N6q
  L-dKl7U8mMiRNfSgpNqOys7tZnNCqCkm2vQU51HlQc1ners9xnASz78YHcJPUVcLAvuekjp8HiM
  Byg39ac5OdTRLLq0OAsEwFe9QOAT08kGMxUtd1yBSCrgki_mfIdmmCt-t6I2DZ3yzqwpS2Mgl6k
  G565qd9hzSzmOEuNFCv9oszIwp43Og8v52KKQlScAXOAJbwKjMbzPrQ_Q",
  "params": {
  "redirectToDeeplink": "https://snapstag.finnet.co.id/health"
  },
  "linkId": "621614632548699598",
  "referenceNo": "euG876NUHSGVARqJ"
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

| No | HTTP Code | Code    | Message                         |
| -- | --------- | ------- | ------------------------------- |
| 1  | 200       | 2000700 | Successful                      |
| 2  | 400       | 4000700 | Bad request                     |
| 3  | 400       | 4000701 | Invalid field format {field}    |
| 4  | 400       | 4000702 | Invalid mandatory field {field} |
| 5  | 401       | 4010701 | Invalid token (B2B)             |
| 6  | 401       | 4010700 | Unauthorised. \[Reason]         |
| 7  | 403       | 4030701 | Feature not allowed             |
| 8  | 403       | 4030704 | Activity count limit exceeded   |
| 9  | 404       | 4040708 | Invalid merchant                |
| 10 | 500       | 5000700 | General error                   |
| 11 | 504       | 5040700 | Timeout                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/registration/account-binding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
